<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_11) on Tue Jun 02 09:49:51 CEST 2009 -->
<TITLE>
WrappedBitSet
</TITLE>

<META NAME="date" CONTENT="2009-06-02">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="WrappedBitSet";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/WrappedBitSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/bitset/SimpleLongBitSet.html" title="class in ch.javasoft.bitset"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.Factory.html" title="class in ch.javasoft.bitset"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/bitset/WrappedBitSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WrappedBitSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.bitset</FONT>
<BR>
Class WrappedBitSet&lt;B extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;B&gt;&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.bitset.WrappedBitSet&lt;B&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;B&gt;&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.38"><B>WrappedBitSet&lt;B extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;B&gt;&gt;</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;B&gt;&gt;</DL>
</PRE>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.Factory.html" title="class in ch.javasoft.bitset">WrappedBitSet.Factory</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.Factory.html" title="type parameter in WrappedBitSet.Factory">BB</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.Factory.html" title="type parameter in WrappedBitSet.Factory">BB</A>&gt;&gt;</B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.Ops.html" title="class in ch.javasoft.bitset">WrappedBitSet.Ops</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.Ops.html" title="type parameter in WrappedBitSet.Ops">BB</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.Ops.html" title="type parameter in WrappedBitSet.Ops">BB</A>&gt;&gt;</B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#bitSet">bitSet</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#WrappedBitSet(B)">WrappedBitSet</A></B>(<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&nbsp;pBitSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#and(ch.javasoft.bitset.WrappedBitSet)">and</A></B>(<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bitset is logically and-ed with the given bitset.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#cardinality()">cardinality</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of true bits in this bitset</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#cardinality(int, int)">cardinality</A></B>(int&nbsp;fromBit,
                       int&nbsp;toBit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set all bits to false</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#clear(int)">clear</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the specified bit to false</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a clone of this bitset</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#equals(java.lang.Object)">equals</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/BitSetFactory.html" title="interface in ch.javasoft.bitset">BitSetFactory</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#factory()">factory</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the <code>BitSetFactory</code> object which belongs to this
 bit set implementation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#flip(int)">flip</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the specified bit to the opposite of the current value (new=not old)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#get(int)">get</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the specified</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#hashCode()">hashCode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#hashCodeObj()">hashCodeObj</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the hash code as it would be returned by <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang"><CODE>Object.hashCode()</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#isSubSetOf(ch.javasoft.bitset.WrappedBitSet)">isSubSetOf</A></B>(<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&nbsp;of)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this bitset is a subset of the given bitset.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#length()">length</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns <code>index + 1</code>, with the index of the highest bit set 
 to true.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#nextClearBit(int)">nextClearBit</A></B>(int&nbsp;from)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the index of the first bit that is set to <code>false</code>
 that occurs on or after the specified starting index.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#nextSetBit(int)">nextSetBit</A></B>(int&nbsp;from)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the index of the first bit that is set to <code>true</code>
 that occurs on or after the specified starting index.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/bitset/BitSetOps.html" title="interface in ch.javasoft.bitset">BitSetOps</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#ops()">ops</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the <code>BitSetOps</code> object which belongs to this
 bit set implementation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#or(ch.javasoft.bitset.WrappedBitSet)">or</A></B>(<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&nbsp;with)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The current bitset is logically or-ed with the given bitset.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#set(int)">set</A></B>(int&nbsp;bit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the specified bit to true</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html?is-external=true" title="class or interface in java.util">BitSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#toBitSet()">toBitSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts this bitset to a java bitset and returns it</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#toLongArray()">toLongArray</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html#toLongArray(long[], int)">toLongArray</A></B>(long[]&nbsp;arr,
                       int&nbsp;offset)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="bitSet"><!-- --></A><H3>
bitSet</H3>
<PRE>
protected final <A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt; <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.40"><B>bitSet</B></A></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="WrappedBitSet(ch.javasoft.bitset.GenericBitSet)"><!-- --></A><A NAME="WrappedBitSet(B)"><!-- --></A><H3>
WrappedBitSet</H3>
<PRE>
public <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.96"><B>WrappedBitSet</B></A>(<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&nbsp;pBitSet)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="set(int)"><!-- --></A><H3>
set</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.100"><B>set</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#set(int)">GenericBitSet</A></CODE></B></DD>
<DD>Set the specified bit to true
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#set(int)">set</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bit</CODE> - The index of the bit to set</DL>
</DD>
</DL>
<HR>

<A NAME="clear(int)"><!-- --></A><H3>
clear</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.104"><B>clear</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#clear(int)">GenericBitSet</A></CODE></B></DD>
<DD>Set the specified bit to false
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#clear(int)">clear</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bit</CODE> - The index of the bit to clear</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.108"><B>clear</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#clear()">GenericBitSet</A></CODE></B></DD>
<DD>Set all bits to false
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#clear()">clear</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="flip(int)"><!-- --></A><H3>
flip</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.112"><B>flip</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#flip(int)">GenericBitSet</A></CODE></B></DD>
<DD>Set the specified bit to the opposite of the current value (new=not old)
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#flip(int)">flip</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bit</CODE> - The index of the bit to flip</DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.116"><B>get</B></A>(int&nbsp;bit)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#get(int)">GenericBitSet</A></CODE></B></DD>
<DD>Returns the specified
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#get(int)">get</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>bit</CODE> - The index of the asked bit
<DT><B>Returns:</B><DD>true if the bit is set, false otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="isSubSetOf(ch.javasoft.bitset.WrappedBitSet)"><!-- --></A><H3>
isSubSetOf</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.120"><B>isSubSetOf</B></A>(<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&nbsp;of)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#isSubSetOf(T)">GenericBitSet</A></CODE></B></DD>
<DD>Returns true if this bitset is a subset of the given bitset. 
 A bitset is a subset of another bitset if the all bits which are
 true in this bitset are also true in the other bitset. If two
 bitsets are equal, each is a subset of the other.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#isSubSetOf(T)">isSubSetOf</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>of</CODE> - The bitset, which is a superset of this bitset if the latter
              is a subset of it
<DT><B>Returns:</B><DD>true if this bitset is a subset of <code>of</code></DL>
</DD>
</DL>
<HR>

<A NAME="and(ch.javasoft.bitset.WrappedBitSet)"><!-- --></A><H3>
and</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.124"><B>and</B></A>(<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&nbsp;with)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#and(T)">GenericBitSet</A></CODE></B></DD>
<DD>The current bitset is logically and-ed with the given bitset. Each bit
 which is true in this bitset, but not true in <code>with</code>, is set
 to false.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#and(T)">and</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bitset with which this bitset is logically and-ed</DL>
</DD>
</DL>
<HR>

<A NAME="or(ch.javasoft.bitset.WrappedBitSet)"><!-- --></A><H3>
or</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.128"><B>or</B></A>(<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&nbsp;with)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#or(T)">GenericBitSet</A></CODE></B></DD>
<DD>The current bitset is logically or-ed with the given bitset. Each bit
 which is true in this bitset, or true in <code>with</code>, is set
 to true.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#or(T)">or</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>with</CODE> - The bitset with which this bitset is logically or-ed</DL>
</DD>
</DL>
<HR>

<A NAME="length()"><!-- --></A><H3>
length</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.132"><B>length</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#length()">GenericBitSet</A></CODE></B></DD>
<DD>Returns <code>index + 1</code>, with the index of the highest bit set 
 to true.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#length()">length</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD><code>index + 1</code> of the highest true bit</DL>
</DD>
</DL>
<HR>

<A NAME="cardinality()"><!-- --></A><H3>
cardinality</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.136"><B>cardinality</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#cardinality()">GenericBitSet</A></CODE></B></DD>
<DD>Returns the number of true bits in this bitset
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#cardinality()">cardinality</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the number of set bits</DL>
</DD>
</DL>
<HR>

<A NAME="cardinality(int, int)"><!-- --></A><H3>
cardinality</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.140"><B>cardinality</B></A>(int&nbsp;fromBit,
                       int&nbsp;toBit)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#cardinality(int, int)">cardinality</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="nextSetBit(int)"><!-- --></A><H3>
nextSetBit</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.144"><B>nextSetBit</B></A>(int&nbsp;from)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#nextSetBit(int)">GenericBitSet</A></CODE></B></DD>
<DD>Returns the index of the first bit that is set to <code>true</code>
 that occurs on or after the specified starting index. If no such
 bit exists then -1 is returned.

 To iterate over the <code>true</code> bits in a <code>BitSet</code>,
 use the following loop:
 <pre>
 for (int i = bs.nextSetBit(0); i >= 0; i = bs.nextSetBit(i + 1)) {
     // operate on index i here
 }
 </pre>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#nextSetBit(int)">nextSetBit</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>from</CODE> - the index to start checking from (inclusive).
<DT><B>Returns:</B><DD>the index of the next set bit.</DL>
</DD>
</DL>
<HR>

<A NAME="nextClearBit(int)"><!-- --></A><H3>
nextClearBit</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.148"><B>nextClearBit</B></A>(int&nbsp;from)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#nextClearBit(int)">GenericBitSet</A></CODE></B></DD>
<DD>Returns the index of the first bit that is set to <code>false</code>
 that occurs on or after the specified starting index.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#nextClearBit(int)">nextClearBit</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>from</CODE> - the index to start checking from (inclusive).
<DT><B>Returns:</B><DD>the index of the next clear bit.</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt; <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.153"><B>clone</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#clone()">GenericBitSet</A></CODE></B></DD>
<DD>Returns a clone of this bitset
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>A cloned (new) instance of this bitset</DL>
</DD>
</DL>
<HR>

<A NAME="toBitSet()"><!-- --></A><H3>
toBitSet</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/BitSet.html?is-external=true" title="class or interface in java.util">BitSet</A> <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.157"><B>toBitSet</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#toBitSet()">GenericBitSet</A></CODE></B></DD>
<DD>Converts this bitset to a java bitset and returns it
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#toBitSet()">toBitSet</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a java bitset representing the same bits as this bitset</DL>
</DD>
</DL>
<HR>

<A NAME="hashCode()"><!-- --></A><H3>
hashCode</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.162"><B>hashCode</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="hashCodeObj()"><!-- --></A><H3>
hashCodeObj</H3>
<PRE>
public int <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.166"><B>hashCodeObj</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#hashCodeObj()">GenericBitSet</A></CODE></B></DD>
<DD>Returns the hash code as it would be returned by <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang"><CODE>Object.hashCode()</CODE></A>. Useful
 if equality for bit sets should only return true for same instance.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#hashCodeObj()">hashCodeObj</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>hash code as it would be returned by <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang"><CODE>Object.hashCode()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="equals(java.lang.Object)"><!-- --></A><H3>
equals</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.171"><B>equals</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;obj)</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="factory()"><!-- --></A><H3>
factory</H3>
<PRE>
public <A HREF="../../../ch/javasoft/bitset/BitSetFactory.html" title="interface in ch.javasoft.bitset">BitSetFactory</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt; <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.179"><B>factory</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#factory()">GenericBitSet</A></CODE></B></DD>
<DD>Returns the <code>BitSetFactory</code> object which belongs to this
 bit set implementation.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#factory()">factory</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>bit set factory for this bit set implementation</DL>
</DD>
</DL>
<HR>

<A NAME="ops()"><!-- --></A><H3>
ops</H3>
<PRE>
public <A HREF="../../../ch/javasoft/bitset/BitSetOps.html" title="interface in ch.javasoft.bitset">BitSetOps</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt; <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.183"><B>ops</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#ops()">GenericBitSet</A></CODE></B></DD>
<DD>Returns the <code>BitSetOps</code> object which belongs to this
 bit set implementation.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#ops()">ops</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>bit set operations for this bit set implementation</DL>
</DD>
</DL>
<HR>

<A NAME="toLongArray()"><!-- --></A><H3>
toLongArray</H3>
<PRE>
public long[] <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.187"><B>toLongArray</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#toLongArray()">toLongArray</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toLongArray(long[], int)"><!-- --></A><H3>
toLongArray</H3>
<PRE>
public long[] <A HREF="../../../src-html/ch/javasoft/bitset/WrappedBitSet.html#line.191"><B>toLongArray</B></A>(long[]&nbsp;arr,
                          int&nbsp;offset)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html#toLongArray(long[], int)">toLongArray</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="class in ch.javasoft.bitset">WrappedBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A> extends <A HREF="../../../ch/javasoft/bitset/GenericBitSet.html" title="interface in ch.javasoft.bitset">GenericBitSet</A>&lt;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.html" title="type parameter in WrappedBitSet">B</A>&gt;&gt;&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/WrappedBitSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/bitset/SimpleLongBitSet.html" title="class in ch.javasoft.bitset"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/bitset/WrappedBitSet.Factory.html" title="class in ch.javasoft.bitset"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/bitset/WrappedBitSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="WrappedBitSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
